/*Example sketch to control a stepper motor with A4988 stepper motor driver and Arduino without a library. More info: https://www.makerguides.com */

// Define stepper motor connections and steps per revolution:

//Rotor
#define RotDirPin 4
#define RotStepPin 5
#define RotStepsPerRevolution 3200
#define RotStepsPerScan 160

//Tilt
#define TiltDirPin 6
#define TiltStepPin 7
#define TiltStepsPerRevolution 16000
#define TiltStepsPerScan 1600


void setup() {
  Serial.begin(9600);   // open serial port
  // Declare pins as output:
  pinMode(RotStepPin, OUTPUT);
  pinMode(RotDirPin, OUTPUT);

  pinMode(TiltStepPin, OUTPUT);
  pinMode(TiltDirPin, OUTPUT);

  
  
}

void loop() {
  static int counter = 0;
    
  if(Serial.available()>0) // is there any unread serial data?
    {
    char ch = Serial.read();    // read a character from the serial port
    if (ch == '2')              // is it the character for the number 2?
      {
        //Serial.println(counter);
      
        if (counter == 0)
        {
        digitalWrite(TiltDirPin, HIGH);
        for (int i = 0; i < TiltStepsPerScan; i++) {
        // These four lines result in 1 step:
        digitalWrite(TiltStepPin, HIGH);
        delayMicroseconds(800);
        digitalWrite(TiltStepPin, LOW);
        delayMicroseconds(800);
        }
        }

        if (counter == 20)
        {
        digitalWrite(TiltDirPin, LOW);
        for (int i = 0; i < (TiltStepsPerScan*2); i++) {
        // These four lines result in 1 step:
        digitalWrite(TiltStepPin, HIGH);
        delayMicroseconds(800);
        digitalWrite(TiltStepPin, LOW);
        delayMicroseconds(800);
          }
        }


        if (counter !=0 and counter !=20)
      {
        // Set the spinning direction clockwise:
        digitalWrite(RotDirPin, HIGH);
        // Spin the rotorstepper motor 18deg revolution slowly:
        for (int i = 0; i < RotStepsPerScan; i++) {
        // These four lines result in 1 step:
        digitalWrite(RotStepPin, HIGH);
        delayMicroseconds(2000);
        digitalWrite(RotStepPin, LOW);
        delayMicroseconds(2000);
          }
      }
        counter = counter + 1;    // increment the scan count
        

      
     
      if (counter == 40)    // we have performed a full rotation
          {            
           counter = 0;      // reset for next scan
          }
      else
        {
        Serial.println("S"); // Tell DAVID to do another Scan
        }     
      }
    }  // end Serial.available
  
 

  delay(500);

  
}


/*void setup() {
  Serial.begin(9600);   // open serial port
 
void loop() {
  if(Serial.available()>0) // is there any unread serial data?
    {
    char ch = Serial.read();    // read a character from the serial port
    if (ch == '2')              // is it the character for the number 2?
      {
      myMotor->step(10, FORWARD, MICROSTEP); // take a step
      delay(250);           // settle mechanics for 250 ms
      myMotor->release();   // turn off current
      if (counter == 40)    // we have performed a full rotation
        {
          counter = 0;      // reset for next scan
        }
      else
        {
        Serial.println("S"); // Tell DAVID to do another Scan
        }     
      }
    }  // end Serial.available
  }*/
  
